# Tomcat
server:
  port: ${WFC_FILE_PORT:9201}

# Spring
spring: 
  application:
    # 应用名称
    name: wfc-file
  profiles:
    # 环境配置
    active: ${NACOS_PROFILE_NAME:prod}
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: ${NACOS_SERVER_NAME:wfc-nacos}:${NACOS_SERVER_PORT:8848}
        namespace: ${NACOS_NAME_SPACE:wfc-prod}
      config:
        # 配置中心地址
        server-addr: ${NACOS_SERVER_NAME:wfc-nacos}:${NACOS_SERVER_PORT:8848}
        namespace: ${NACOS_NAME_SPACE:wfc-prod}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}